* {
  margin: 0;
  padding: 0;
}

.header_box {
  width: 100%;
  display: flex;
  justify-content: flex-end;
}

.header {
  max-width: 1780px;
  width: 90%;
  height: calc(20px + 4rem);
  display: flex;
  justify-content: space-between;
  align-items: center;

}

.header_logo {

  display: flex;
  align-items: center;
}

.header_logo img {
  width: calc(43px + 10rem);
}

.header_right {
  height: 100%;
  flex: 1;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.header_nav {
  height: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: calc(1px + 4rem);
}

.header_nav_item {
  height: 100%;
  font-family: SourceHanSansCN_Regular;
  font-weight: 400;
  font-size: calc(6px + 0.5rem);
  color: #222222;
  line-height: calc(3px + 1rem);
  border-bottom: calc(0px + 0.1rem) transparent solid;
}

.header_nav_item a {
  height: 100%;
  display: flex;
  align-items: center;
}

.header_nav_item_act {
  color: #2664A1;
  border-color: #2664A1;
}

.language_box {
  width: calc(40px + 5rem);
  height: calc(12px + 2rem);
  background: #FFFFFF;
  border-radius: calc(2px + 0.1rem);
  border: 1px solid #E6E6E6;
  margin-left: calc(3px + 3rem);
  position: relative;
}

.lang {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 calc(3px + 0.5rem);
  cursor: pointer;
}

.lang img:nth-of-type(1) {
  width: calc(10px + 0.5rem);
}

.lang img:nth-of-type(2) {
  width: calc(10px + 0.25rem);
}

.search_box {
  margin-left: calc(6px + 1rem);
  cursor: pointer;
  position: relative;
}

.search_box img {
  width: calc(4px + 1rem);
}

.get_price {
  width: calc(40px + 5rem);
  height: 100%;
  background: #2664A1;
  margin-left: calc(10px + 1rem);
}

.get_price a {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: calc(1px + 0.25rem);
  font-family: SourceHanSansCN_Bold;
  font-weight: 700;
  font-size: calc(4px + 0.5rem);
  color: #FFFFFF;
  line-height: calc(10px + 0.5rem);
}

.get_price img {
  width: calc(10px + 0.5rem);
}

.lang_box{
  width: calc(40px + 5rem);
  height: 0;
  background: #FFFFFF;
  border-radius: calc(2px + 0.1rem);
  border: 1px solid #ffffff;
  position: absolute;
  top: 101%;
  z-index: 10;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: calc(10px + 0.5rem);
  overflow: hidden;
  transition: .5s;
}
.lang_box a{
  width: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: calc(5px + 0.5rem);
  padding: 0 calc(5px + 0.5rem);
}
.lang_box img{
  width: calc(10px + 0.5rem);
}

.language_box:hover .lang_box{
  height: calc(20px + 4rem);
  border: 1px solid #E6E6E6;
}

.search{
  width: 0;
  height: calc(18px + 1rem);
  border: 1px solid #ffffff;
  border-radius: calc(1px + 0.2rem);
  position: absolute;
  right: 100%;
  top: 0;
  bottom: 0;
  margin: auto;
  z-index: 10;
  background-color: #ffffff;
  overflow: hidden;
  transition: .5s;
}
.search input{
  width: 100%;
  height: 100%;
  border: none;
  outline: medium;
  background-color: transparent;
  padding: 0 calc(5px + 0.25rem);

}

.search_box:hover .search{
  width: calc(80px + 5rem);
  border: 1px solid #E6E6E6;
}